%define upstream_name Horde_Mail
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.0
Release:     	%mkrel 1
Summary:    	Horde command-line argument parsing packag
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Exception < 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Mail = %{version}
	

%description
The Horde_Mail library is a fork of the PEAR Mail library that provides
additional functionality, including (but not limited to):
* Allows a stream to be passed in.
* Allows raw headertext to be used in the outgoing messages (required for
things like message redirection pursuant to RFC 5322 [3.6.6]).
* Native PHP 5 code.
* PHPUnit test suite.
* Provides more comprehensive sendmail error messages.
* Uses Exceptions instead of PEAR_Errors.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Mail.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Mail.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Mail
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Mail/COPYING
%{peardir}/Horde/Mail.php
%{peardir}/Horde/Mail/Exception.php
%{peardir}/Horde/Mail/Rfc822.php
%{peardir}/Horde/Mail/Transport.php
%{peardir}/Horde/Mail/Transport/Mail.php
%{peardir}/Horde/Mail/Transport/Mock.php
%{peardir}/Horde/Mail/Transport/Null.php
%{peardir}/Horde/Mail/Transport/Sendmail.php
%{peardir}/Horde/Mail/Transport/Smtp.php
%{peardir}/Horde/Mail/Transport/Smtpmx.php
%{peardir}/Horde/Mail/Rfc822/Address.php
%{peardir}/Horde/Mail/Rfc822/Group.php
%{peardir}/tests/Horde_Mail/Horde/Mail/AllTests.php
%{peardir}/tests/Horde_Mail/Horde/Mail/ParseTest.php
%{peardir}/tests/Horde_Mail/Horde/Mail/SendTest.php
%{peardir}/tests/Horde_Mail/Horde/Mail/ObjectTest.php
%{xmldir}/Horde_Mail.xml


%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 215530
- update to 1.1.0

* Sat Jan 21 2012 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 199241
- upgrade to 1.0.3

* Sat Nov 19 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 169342
- upgrade to 1.0.2

* Mon Nov 07 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 164601
- upgrade to 1.0.1
-Provides:      	php-pear-Horde_Mail
  +Provides:      	php-pear-Horde_Mail = %%{version}
- imported package php-pear-Horde_Mail

